com.fasterxml.aalto.sax

## Class SAXParserFactoryImpl

- java.lang.Object
- - javax.xml.parsers.SAXParserFactory
  - - com.fasterxml.aalto.sax.SAXParserFactoryImpl

-     public class SAXParserFactoryImpl
      extends SAXParserFactory

  This is implementation of the main JAXP SAX factory, and as such acts as the entry point from JAXP.

  Note: most of the SAX features are not configurable as of yet. However, effort is made to recognize all existing standard features and properties, to allow using code to figure out existing capabilities automatically.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXParserFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFeature(String name)`
    `static SAXParserFactory` | `newInstance()`
    `SAXParser` | `newSAXParser()`
    `void` | `setFeature(String name, boolean enabled)`
    `void` | `setNamespaceAware(boolean awareness)`
    `void` | `setValidating(boolean value)`

    - ### Methods inherited from class javax.xml.parsers.SAXParserFactory

      `getSchema, isNamespaceAware, isValidating, isXIncludeAware, newInstance, setSchema, setXIncludeAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXParserFactoryImpl

          public SAXParserFactoryImpl()

  - ### Method Detail

    - #### newInstance

          public static SAXParserFactory newInstance()

      Since:
        0.9.8

    - #### getFeature

          public boolean getFeature(String name)
                             throws SAXNotRecognizedException,
                                    SAXNotSupportedException

      Specified by:
        `getFeature` in class `SAXParserFactory`
      Throws:
        `SAXNotRecognizedException`
        `SAXNotSupportedException`

    - #### newSAXParser

          public SAXParser newSAXParser()

      Specified by:
        `newSAXParser` in class `SAXParserFactory`

    - #### setFeature

          public void setFeature(String name,
                        boolean enabled)
                          throws SAXNotRecognizedException,
                                 SAXNotSupportedException

      Specified by:
        `setFeature` in class `SAXParserFactory`
      Throws:
        `SAXNotRecognizedException`
        `SAXNotSupportedException`

    - #### setNamespaceAware

          public void setNamespaceAware(boolean awareness)

      Overrides:
        `setNamespaceAware` in class `SAXParserFactory`

    - #### setValidating

          public void setValidating(boolean value)

      Overrides:
        `setValidating` in class `SAXParserFactory`

Copyright © 2018 FasterXML. All rights reserved.